I have upgraded my WordPress blog from WordPress 2.7 to 2.8 and I lost my WYSIWYG TinyMCE editor. I have verified this now that this has happened just because I have chose the auto-upgrade option. I have gone through some google search and after that tried installing WP 2.8 on my local machine as fresh copy and it just worked well without any problem as I was able to find WYSIWYG editor working just well as before.

I tried to drill-down problem into little more and I found that following URL does not seems to be returning anything:
http://blogs.digitss.com/wp-includes/js/tinymce/wp-tinymce.php?c=1&ver=3241-1141 which has caused the real trouble. The reason behind it was that wp-tinymce.js.gz file was missing under wp-includes\js\tinymce directory.

Placing wp-tinymce.js.gz from my local directory to live has immediate impact and WordPress WYSIWYG TinyMCE started working well.

Before:
Tiny MCE WordPress Error

Tiny MCE WordPress Error

After:

TinyMCE WordPress WYSIWYG Working again.

TinyMCE WordPress WYSIWYG Working again